Audio
Devis pour la génération audio
Get a price quote for audio generation with the specified parameters.
POST
/
audio
/
quote
/api/v1/audio/quote
curl --request POST \
--url https://api.venice.ai/api/v1/audio/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "elevenlabs-music",
"duration_seconds": 60,
"character_count": 100
}
'import requests
url = "https://api.venice.ai/api/v1/audio/quote"
payload = {
"model": "elevenlabs-music",
"duration_seconds": 60,
"character_count": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'elevenlabs-music', duration_seconds: 60, character_count: 100})
};
fetch('https://api.venice.ai/api/v1/audio/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.venice.ai/api/v1/audio/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'elevenlabs-music',
'duration_seconds' => 60,
'character_count' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.venice.ai/api/v1/audio/quote"
payload := strings.NewReader("{\n \"model\": \"elevenlabs-music\",\n \"duration_seconds\": 60,\n \"character_count\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.venice.ai/api/v1/audio/quote")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"elevenlabs-music\",\n \"duration_seconds\": 60,\n \"character_count\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.venice.ai/api/v1/audio/quote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"elevenlabs-music\",\n \"duration_seconds\": 60,\n \"character_count\": 100\n}"
response = http.request(request)
puts response.read_body{
"quote": 0.75
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}Utilisez cet endpoint avant
/audio/queue pour estimer le coût en USD d’une requête de génération audio pour le modèle et les paramètres sélectionnés.
Collection Postman
Pour des exemples supplémentaires, veuillez consulter cette collection Postman.Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
application/json
The model to get a price quote for.
Exemple:
"elevenlabs-music"
Optional duration hint in seconds. Only supported for models that expose duration metadata via /models. Accepts either an integer or a numeric string. If omitted, the model default duration is used when available.
Plage requise:
x > 0Exemple:
60
Optional character count for character-based pricing models. Required when the selected model uses pricing.per_thousand_characters in /models.
Plage requise:
x > 0Exemple:
100
Réponse
Price quote for audio generation
The estimated price in USD for the audio generation.
Exemple:
0.75
Cette page vous a-t-elle été utile ?
⌘I
/api/v1/audio/quote
curl --request POST \
--url https://api.venice.ai/api/v1/audio/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "elevenlabs-music",
"duration_seconds": 60,
"character_count": 100
}
'import requests
url = "https://api.venice.ai/api/v1/audio/quote"
payload = {
"model": "elevenlabs-music",
"duration_seconds": 60,
"character_count": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'elevenlabs-music', duration_seconds: 60, character_count: 100})
};
fetch('https://api.venice.ai/api/v1/audio/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.venice.ai/api/v1/audio/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'elevenlabs-music',
'duration_seconds' => 60,
'character_count' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.venice.ai/api/v1/audio/quote"
payload := strings.NewReader("{\n \"model\": \"elevenlabs-music\",\n \"duration_seconds\": 60,\n \"character_count\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.venice.ai/api/v1/audio/quote")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"elevenlabs-music\",\n \"duration_seconds\": 60,\n \"character_count\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.venice.ai/api/v1/audio/quote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"elevenlabs-music\",\n \"duration_seconds\": 60,\n \"character_count\": 100\n}"
response = http.request(request)
puts response.read_body{
"quote": 0.75
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}